اطلاعیه مهم برای اونایی که لپ تاپ HP / LENOVO دارند

در این قسمت سوالات مربوط به استفاده از فدورا روی لپ‌تاپ را مطرح نمایید
پست: 42
تاریخ عضویت: یکشنبه 17 فروردین 1393, 5:36 pm

اطلاعیه مهم برای اونایی که لپ تاپ HP / LENOVO دارند

پستتوسط busy.man » یکشنبه 17 فروردین 1393, 7:10 pm

سلام به همه متخصصی من تازه به فدورا مهاجرت کردم :d :d :d :d (قدرمو بدونین)

من تازه fedora 20 LIVE رو دانلود کردم.

چند تا مشکل دارم.

۱-(مهم ترین) من لپتاپ HP proBook 4540S رو دارم. درایور هایی که برای این لپ تاپ دانلود کردم با پسوند rpm و مخصوص سیستم های ۶۴ بیتی است.(سیستم من هم ۶۴ بیتی هست)

وقتی می خوام اونا رو با software install نصب کنم. نمیشه کلا هر بار یه errori میده. ((= ((=
اما وقتی با کد
کد: انتخاب همه
sudo rpm -Uvh package-name.rpm

نصب میکنم این ارور رو میده همیشه :

کد: انتخاب همه
   kernel(default:kernel_signal) = 3fe571042f5476b7 is needed by ati-fglrxG02-HP-kmp-default-8.982_3.0.13_0.27-1.1.x86_64


خواهش می کنم بگین چیکار کنم.

مشکل دوم من دیر بوت شدن فدوراست.(همون زمانی که یه چیز مثل فندوق داره پر میشه :d )
آخرین بار توسط busy.man در سه شنبه 19 فروردین 1393, 7:50 pm ویرایش شده است، در کل 1 بار ویرایش شده است.

آواتار کاربر
پست: 1803
تاریخ عضویت: سه شنبه 7 مرداد 1387, 12:57 am
محل اقامت: کرمانشاه

Re: مشکل در نصب فایل های (.rpm)

پستتوسط soa » یکشنبه 17 فروردین 1393, 10:45 pm

مراجعه کنید به اینجا:
viewtopic.php?f=9&t=4919&p=31115#p31115

می‌تونید از این دستور استفاده کنید


کد: انتخاب همه
    yum install package.rpm



منتها باید اولا به اینترنت وصل باشید
دوما باید با جای package.rpm آدرس دقیق بسته و نامش رو با پسوندش بزنید.
راحت‌ترین راه همینه...
البته بهتر از اون استفاده از بسته‌های خود مخازن هست
به این‌صورت که مثلا برای نصب vlc توی اون دستوری که گفتم کافیه همین vlc رو بزنین تا نصب بشه دیگه چیزی نمی‌خواد.
ولی اگه بخواین بسته‌های محلی رو نصب کنید راهش همونه که گفتم غیر از اون خیلی دردسر داره چون فقط نصب اینا نیست ممکنه هر کدوم از اونا خودشون یه سری وابستگی دیگه هم نیاز داشته باشن!!

آواتار کاربر
پست: 1464
تاریخ عضویت: دوشنبه 13 مرداد 1387, 12:22 am
محل اقامت: 1::

Re: مشکل در نصب فایل های (.rpm)

پستتوسط hos7ein » دوشنبه 17 فروردین 1393, 1:22 am

@busy.man

1-چه درایوری دانلود کردید!؟
2-برای نصب بسته ای که دانلود کردی و پیش نیاز داره بهتره از این دستور استفاده کنید(توی مسیری که فایل وجود داره این رو بزنید) :

yum localinstall paclage.rpm
تصویر

پست: 42
تاریخ عضویت: یکشنبه 17 فروردین 1393, 5:36 pm

Re: مشکل در نصب فایل های (.rpm)

پستتوسط busy.man » دوشنبه 18 فروردین 1393, 7:11 am

همه این کار ها که گفتین رو میکنم ولی باز هم این ارور رو میده
کد: انتخاب همه
Error: Package: ati-fglrxG02-HP-kmp-default-8.982_3.0.13_0.27-1.1.x86_64 (/ati-fglrxG02-HP-kmp-default-8.982_3.0.13_0.27-1.1.x86_64)
           Requires: kernel(default:kernel_printk) = 9cc1b39ddf89e9f5

در ضمن درایور کارت گرافیک AMD READON 7650 2Gb هست. خیلی بش نیاز دارم

معاونت سایت
آواتار کاربر
پست: 6427
تاریخ عضویت: دوشنبه 21 مرداد 1387, 11:47 pm
محل اقامت: اصفهان

Re: مشکل در نصب فایل های (.rpm)

پستتوسط hedayat » دوشنبه 18 فروردین 1393, 9:37 am

۱. لطفا یک سوال رو چند جا نپرسید
۲. این بسته به نظر نمیاد به درد فدورا بخوره! شما akmod-catalyst رو نصب کنید.

پست: 42
تاریخ عضویت: یکشنبه 17 فروردین 1393, 5:36 pm

Re: مشکل در نصب فایل های (.rpm)

پستتوسط busy.man » دوشنبه 18 فروردین 1393, 3:22 pm

به درد نمی خوره یعنی چی :-( :-( درایور کارت گرافیک هست. راستی جواب مشکل دوم من رو کسی نمی ده :(( :((

راستی من هر موقه yum clean all رو میزنم هیچی نمیشه. همون متن میاد که یه برنامه دیگه داره از yum استفاده میکنه

بابا من این دستور رو زدم :
کد: انتخاب همه
yum erase PackageKit


حالا هر بار می خوام از yum استفاده کنم همش این هست:
کد: انتخاب همه
[[email protected] ~]$ sudo su
[sudo] password for busy.vip93:
[[email protected] busy.vip93]# yum install uget
Loaded plugins: langpacks, refresh-packagekit
updates/20/x86_64/primary_db   FAILED                                           
http://mirrors.ispros.com.bd/fedora/updates/20/x86_64/repodata/00595d3e91001bff1b97bf151d124fbfd644a0c31644c9b39d1d7d6da159f88c-primary.sqlite.bz2: [Errno -1] Metadata file does not match checksum
Trying other mirror.
^Cdates/20/x86_64/primary_ 11% [=-              ]  16 kB/s | 1.0 MB   08:25 ETA

Exiting on user cancel
[[email protected] busy.vip93]# yum install uget
Loaded plugins: langpacks, refresh-packagekit
^Cdates/20/x86_64/primary_ 55% [========-       ]  39 kB/s | 5.1 MB   01:46 ETA

Exiting on user cancel
[[email protected] busy.vip93]#





یه بار میگه 404 not found!
trying another mirror

این بار هم که همش این ارور رو میده :-( کمکم کنید

پست: 42
تاریخ عضویت: یکشنبه 17 فروردین 1393, 5:36 pm

Re: مشکل در نصب فایل های (.rpm)

پستتوسط busy.man » دوشنبه 18 فروردین 1393, 8:19 pm

این بسته به نظر نمیاد به درد فدورا بخوره! شما akmod-catalyst رو نصب کنید

میشه بگین چجوری نسبش کنم ؟؟

آواتار کاربر
پست: 1803
تاریخ عضویت: سه شنبه 7 مرداد 1387, 12:57 am
محل اقامت: کرمانشاه

Re: مشکل در نصب فایل های (.rpm)

پستتوسط soa » سه شنبه 19 فروردین 1393, 7:00 am

yum install akmod-catalyst

معاونت سایت
آواتار کاربر
پست: 6427
تاریخ عضویت: دوشنبه 21 مرداد 1387, 11:47 pm
محل اقامت: اصفهان

Re: مشکل در نصب فایل های (.rpm)

پستتوسط hedayat » سه شنبه 19 فروردین 1393, 7:04 pm

شما چرا هی Ctrl+C میزنید؟ بگذارید اون primary رو دانلود کنه.

پست: 42
تاریخ عضویت: یکشنبه 17 فروردین 1393, 5:36 pm

Re: مشکل در نصب فایل های (.rpm)

پستتوسط busy.man » سه شنبه 19 فروردین 1393, 7:38 pm

دوست عزیز تا حالا 28 بار primary رو دانلود کرده :|
هر بار هم نمیشه :|


به روز شد :

همه و همه که لپ تاپ های HP / LENOVO دارن من همین الان یه چت آنلاین با پشتیبانی HP کردم.گفتن که محصولات HP از توزیع های لینوکس فقط و فقط و فقط
OPEN SUSE رو پشتیبانی میکنند.استفاده از بقیه توزیع ها موجب آسیب رسانی شده و شرکت هیچ مسئولیتی در این قبال پذیرا نیست :D (البته اگه خارج ایران هستید :D)

در مورد لنوو هم به همچنین اما با این تفاوت که سری های Y و G و Z توانایی پشتیبانی را دارند

بعدی

بازگشت به لپ‌تاپ

چه کسی آنلاین است

کاربران حاضر در این انجمن : کاربر عضو شده ای موجود نیست و 1 مهمان